Native support for MongoDB 3.0+

mongo

#1

MongoDB 3.0 has been out for over a year now and our project relies on it. Right now we have to manually install it through circle.yaml overrides which adds a good 20-30 seconds to our CI times and fails on occasion, rendering our CI ultimately unreliable.

It would be nice if MongoDB 3.0 were available out-of-the-box.


#2

Thank you for this feature request. @kimh do you think this is something we can add to the trusty image?


#3

@camsaul Mongo 3.0 is installed on Trusty container: https://circleci.com/docs/trusty-image/

Do you think you can switch to Trusty?


#4

Oops, sorry should have checked there first!


#5